"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1081ce8c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1081ce950>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1081ce9e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1081cea70>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1081ceb00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1081ceb90>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1081cec20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081cecb0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081ced40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081cedd0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1081cee60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1081ceef0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1081cef80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf010>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf0a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf130>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf1c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf250>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf2e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf370>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf400>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf490>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf520>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf5b0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf6d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf640>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf760>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf7f0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf880>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf910>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1081cf9a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfa30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfac0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfb50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfbe0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfc70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfd00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfd90>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfe20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081cfeb0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081cff40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108214040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1082140d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108214160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1082141f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108214280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108214310>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1082143a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108214430>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1082144c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108214550>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1082145e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108214670>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108214700>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108214790>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108214820>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1082148b0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108214940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1082149d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108214a60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108214af0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108214b80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108214c10>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108214ca0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108214d30>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108214ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108214dc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108214f70>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108215000>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108215090>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108215120>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1082151b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1082152d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108215240>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108215360>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1082153f0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108215480>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1082155a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108215510>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108215630>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1082156c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108215750>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1082157e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108215870>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108215900>)]
name: str = 'fr_HOCCN'
